<{{data.url?'a':'button'}}
  class="link {{ class }}"
  {% if data.url %} href="{{ data.url }}" {% endif %}
  {% if "//" in data.url %} target="_blank" {% endif %}
  {% if "link--disabled" in class %} disabled {% endif %}
  {{ attributes }}
>
  {% if data.title or data.icon %}
    {% if data.title %}
      <span class="link__title {{ typography|default('t1') }}">
        {{ data.title }}
      </span>
    {% endif %}
    {% if data.icon %}
      {% include "@root/shared/ui/icon/icon.twig" with { class: "link__icon", icon: data.icon } %}
    {% endif %}
  {% endif %}
</{{data.url?'a':'button'}}>
